EndpointsScheduled changes
Get Scheduled Changes
Gets a paginated list of scheduled stage changes across all areas.
Gets a paginated list of scheduled stage changes across all areas.
Query Parameters
pageNumber?|
Match
^-?(?:0|[1-9]\d*)$Format
int32pageSize?|
Match
^-?(?:0|[1-9]\d*)$Format
int32status?string
organisationId?string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/scheduled-changes"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9", "targetStageId": null, "effectiveFrom": "2019-08-24T14:15:22Z", "approval": { "status": "pendingApproval", "approvedAt": null }, "isCancelled": true, "isIgnored": true, "isAutoDetected": true, "createdAt": "2019-08-24T14:15:22Z" } ], "pageNumber": 0, "pageSize": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true}Get Restriction Zones GET
Gets a page of restriction zones with their type and aliases, and pagination metadata. Filters narrow the list before it is counted: type takes a restriction zone type name. An unsupported query parameter is ignored.
Get Scheme GET
Gets a scheme by its ID. Includes detailed information about its stages.